RubyGems Navigation menu

activeinteractor 1.1.1

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versões:

  1. 1.1.1 - October 21, 2020 (36,5 KB)
  2. 1.1.0 - October 04, 2020 (36 KB)
  3. 1.0.5 - September 16, 2020 (35 KB)
  4. 1.0.4 - February 11, 2020 (35 KB)
  5. 1.0.3 - February 11, 2020 (34,5 KB)
Mostrar todas as versões (30)

Runtime Dependencies (2):

  • activemodel >= 4.2, < 7.0
  • activesupport >= 4.2, < 7.0
  • Development Dependencies (3):

  • bundler ~> 2.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • Donos:

    Pushed by:

    Autores:

    • Aaron Allen

    SHA 256 checksum:

    6ced89a38de9eb9354a0f0026fb31e8f1956c262a8613ec3a60ff4625f9bcd6a

    Total de downloads 13.054

    Desta versão 109

    Gemfile:
    = Copy to clipboard Copied!

    instalar:
    =

    Licença:

    MIT

    Versão Requerida do Ruby: >= 2.5.0

    Links: